Skip to navigation

Get WorkflowTaskSchema by ID

Get a single WorkflowTaskSchema by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_task_schema_idstringRequired
ID of the WorkflowTaskSchema.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
canOnlyBePartOfFlowchartbooleanOptional
canSetAssigneeOnTaskCreationbooleanOptional

Whether or not tasks of this schema can be created with a non-null assignee.

createdAtstringOptional
defaultCreationFolderobject or nullOptional
ID of the default folder for creating workflow task groups
defaultEntryExecutionFolderobject or nullOptional
ID of the default folder for workflow task execution entries
entryTemplateobject or nullOptional
The ID of the template of the entries tasks of this schema will be executed into.
executionTypeenumOptional
The method by which instances of this schema are executed
fieldDefinitionsstringOptionalformat: "uri"
idstringOptional
isPropagateWatchersEnabledbooleanOptional
modifiedAtstringOptional
namestringOptional
organizationobjectOptional
The organization that owns the schema.
prefixstringOptional
The prefix for the displayId of tasks of this schema.
systemNamestringOptional
A unique, stable identifier for this schema used for programmatic access and integrations.
taskGroupInstructionsstring or nullOptional
The instructions for task groups of this schema
taskGroupPrefixstringOptional
The prefix for the displayId of task groups containing tasks of this schema
validationRulesstringOptionalformat: "uri"
workflowOutputSchemaobject or nullOptional

Errors

400
Workflow Task Schema Get Request Bad Request Error
403
Workflow Task Schema Get Request Forbidden Error
404
Workflow Task Schema Get Request Not Found Error
429
Workflow Task Schema Get Request Too Many Requests Error
500
Workflow Task Schema Get Request Internal Server Error